GetTaskAttemptCompletionEventsRequestPBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb, class: GetTaskAttemptCompletionEventsRequestPBImpl

Package org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

# Class GetTaskAttemptCompletionEventsRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto>
org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetTaskAttemptCompletionEventsRequestPBImpl

All Implemented Interfaces:
  `GetTaskAttemptCompletionEventsRequest`

public class GetTaskAttemptCompletionEventsRequestPBImpl extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto> implements GetTaskAttemptCompletionEventsRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetTaskAttemptCompletionEventsRequestPBImpl()`
  `GetTaskAttemptCompletionEventsRequestPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFromEventId()`
  `JobId`
  `getJobId()`
  `int`
  `getMaxEvents()`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto`
  `getProto()`
  `void`
  `setFromEventId(int fromEventId)`
  `void`
  `setJobId(JobId jobId)`
  `void`
  `setMaxEvents(int maxEvents)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

  `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetTaskAttemptCompletionEventsRequestPBImpl

    public GetTaskAttemptCompletionEventsRequestPBImpl()

  - ### GetTaskAttemptCompletionEventsRequestPBImpl

    public GetTaskAttemptCompletionEventsRequestPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto getProto()
    Specified by:
      `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto>`

  - ### getJobId

    public JobId getJobId()
    Specified by:
      `getJobId` in interface `GetTaskAttemptCompletionEventsRequest`

  - ### setJobId

    public void setJobId(JobId jobId)
    Specified by:
      `setJobId` in interface `GetTaskAttemptCompletionEventsRequest`

  - ### getFromEventId

    public int getFromEventId()
    Specified by:
      `getFromEventId` in interface `GetTaskAttemptCompletionEventsRequest`

  - ### setFromEventId

    public void setFromEventId(int fromEventId)
    Specified by:
      `setFromEventId` in interface `GetTaskAttemptCompletionEventsRequest`

  - ### getMaxEvents

    public int getMaxEvents()
    Specified by:
      `getMaxEvents` in interface `GetTaskAttemptCompletionEventsRequest`

  - ### setMaxEvents

    public void setMaxEvents(int maxEvents)
    Specified by:
      `setMaxEvents` in interface `GetTaskAttemptCompletionEventsRequest`